weka.knowledgeflow.steps

## Class WekaAlgorithmWrapper

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.WekaAlgorithmWrapper

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step
  Direct Known Subclasses:
    ASEvaluator, ASSearchStrategy, Associator, Classifier, Clusterer, DataGenerator, Filter, Loader, Saver

      public abstract class WekaAlgorithmWrapper
      extends BaseStep
      implements java.io.Serializable

  A step that wraps a class of standard Weka algorithm (e.g. filter, classifier, clusterer etc.)
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WekaAlgorithmWrapper()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultIconPath()` Get the default icon for this type of wrapped algorithm (i.e.
    `java.lang.String` | `getDefaultPackageLevelIconPath()` Get the default icon at the package level for this type of wrapped algorithm - e.g.
    `java.lang.String` | `getIconPath()` Get the path to the icon for this wrapped algorithm
    `java.lang.Object` | `getWrappedAlgorithm()` Get the wrapped algorithm
    `abstract java.lang.Class` | `getWrappedAlgorithmClass()` Get the class of the algorithm being wrapped
    `java.lang.String` | `globalInfo()` Get global "help" info.
    `void` | `setWrappedAlgorithm(java.lang.Object algo)` Set the wrapped algorithm

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, isResourceIntensive, isStopRequested, outputStructureForConnectionType, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface weka.knowledgeflow.steps.Step

      `getIncomingConnectionTypes, getOutgoingConnectionTypes, stepInit`

    - ### Methods inherited from interface weka.knowledgeflow.steps.BaseStepExtender

      `getIncomingConnectionTypes, getOutgoingConnectionTypes, stepInit`

- - ### Constructor Detail

    - #### WekaAlgorithmWrapper

          public WekaAlgorithmWrapper()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Get global "help" info. Returns the global info of the wrapped algorithm
      Overrides:
        `globalInfo` in class `BaseStep`
      Returns:
        global "help" info

    - #### getWrappedAlgorithm

          @NotPersistable
           @ProgrammaticProperty
          public java.lang.Object getWrappedAlgorithm()

      Get the wrapped algorithm
      Returns:
        the wrapped algorithm

    - #### setWrappedAlgorithm

          public void setWrappedAlgorithm(java.lang.Object algo)

      Set the wrapped algorithm
      Parameters:
        `algo` - the algorithm to wrao

    - #### getIconPath

          public java.lang.String getIconPath()

      Get the path to the icon for this wrapped algorithm
      Returns:
        the path to the icon

    - #### getDefaultPackageLevelIconPath

          public java.lang.String getDefaultPackageLevelIconPath()

      Get the default icon at the package level for this type of wrapped algorithm - e.g. weka.classifiers.meta
      Returns:
        the default icon at the package level

    - #### getDefaultIconPath

          public java.lang.String getDefaultIconPath()

      Get the default icon for this type of wrapped algorithm (i.e. generic Loader, Saver etc.
      Returns:
        the default icon for this wrapped algorithm

    - #### getWrappedAlgorithmClass

          public abstract java.lang.Class getWrappedAlgorithmClass()

      Get the class of the algorithm being wrapped
      Returns:
        the class of the algorithm being wrapped